jQuery(document).ready(function($) {
    'use strict';

    if(magshow_ajax_object.secondary_menu_active){

        $(".magshow-nav-secondary .magshow-secondary-nav-menu").addClass("magshow-secondary-responsive-menu");

        $( ".magshow-secondary-responsive-menu-icon" ).on( "click", function() {
            $(this).next(".magshow-nav-secondary .magshow-secondary-nav-menu").slideToggle();
        });

        $(window).on( "resize", function() {
            if(window.innerWidth > 1112) {
                $(".magshow-nav-secondary .magshow-secondary-nav-menu, nav .sub-menu, nav .children").removeAttr("style");
                $(".magshow-secondary-responsive-menu > li").removeClass("magshow-secondary-menu-open");
            }
        });

        $( ".magshow-secondary-responsive-menu > li" ).on( "click", function(event) {
            if (event.target !== this)
            return;
            $(this).find(".sub-menu:first").toggleClass('magshow-submenu-toggle').parent().toggleClass("magshow-secondary-menu-open");
            $(this).find(".children:first").toggleClass('magshow-submenu-toggle').parent().toggleClass("magshow-secondary-menu-open");
        });

        $( "div.magshow-secondary-responsive-menu > ul > li" ).on( "click", function(event) {
            if (event.target !== this)
                return;
            $(this).find("ul:first").toggleClass('magshow-submenu-toggle').parent().toggleClass("magshow-secondary-menu-open");
        });

    }

    if(magshow_ajax_object.primary_menu_active){

            // grab the initial top offset of the navigation 
            var magshowstickyNavTop = $('.magshow-primary-menu-container').offset().top;
            
            // our function that decides weather the navigation bar should have "fixed" css position or not.
            var magshowstickyNav = function(){
                var magshowscrollTop = $(window).scrollTop(); // our current vertical position from the top
                     
                // if we've scrolled more than the navigation, change its position to fixed to stick to top,
                // otherwise change it back to relative

                if(window.innerWidth > 1112) {
                    if (magshowscrollTop > magshowstickyNavTop) {
                        $('.magshow-primary-menu-container').addClass('magshow-fixed');
                    } else {
                        $('.magshow-primary-menu-container').removeClass('magshow-fixed'); 
                    }
                }
            };

            magshowstickyNav();
            // and run it again every time you scroll
            $(window).on( "scroll", function() {
                magshowstickyNav();
            });

            $(".magshow-nav-primary .magshow-primary-nav-menu").addClass("magshow-primary-responsive-menu");

            $( ".magshow-primary-responsive-menu-icon" ).on( "click", function() {
                $(this).next(".magshow-nav-primary .magshow-primary-nav-menu").slideToggle();
            });

            $(window).on( "resize", function() {
                if(window.innerWidth > 1112) {
                    $(".magshow-nav-primary .magshow-primary-nav-menu, nav .sub-menu, nav .children").removeAttr("style");
                    $(".magshow-primary-responsive-menu > li").removeClass("magshow-primary-menu-open");
                }
            });

            $( ".magshow-primary-responsive-menu > li" ).on( "click", function(event) {
                if (event.target !== this)
                return;
                $(this).find(".sub-menu:first").toggleClass('magshow-submenu-toggle').parent().toggleClass("magshow-primary-menu-open");
                $(this).find(".children:first").toggleClass('magshow-submenu-toggle').parent().toggleClass("magshow-primary-menu-open");
            });

            $( "div.magshow-primary-responsive-menu > ul > li" ).on( "click", function(event) {
                if (event.target !== this)
                    return;
                $(this).find("ul:first").toggleClass('magshow-submenu-toggle').parent().toggleClass("magshow-primary-menu-open");
            });

    }

    if($(".magshow-header-social-icon-search").length){
        $(".magshow-header-social-icon-search").on('click', function (e) {
            e.preventDefault();
            $("#magshow-search-overlay-wrap").fadeIn();
            const magshow_focusableelements = 'button, [href], input';
            const magshow_search_modal = document.querySelector('#magshow-search-overlay-wrap');
            const magshow_firstfocusableelement = magshow_search_modal.querySelectorAll(magshow_focusableelements)[0];
            const magshow_focusablecontent = magshow_search_modal.querySelectorAll(magshow_focusableelements);
            const magshow_lastfocusableelement = magshow_focusablecontent[magshow_focusablecontent.length - 1];
            document.addEventListener('keydown', function(e) {
              let isTabPressed = e.key === 'Tab' || e.keyCode === 9;
              if (!isTabPressed) {
                return;
              }
              if (e.shiftKey) {
                if (document.activeElement === magshow_firstfocusableelement) {
                  magshow_lastfocusableelement.focus();
                  e.preventDefault();
                }
              } else {
                if (document.activeElement === magshow_lastfocusableelement) {
                  magshow_firstfocusableelement.focus();
                  e.preventDefault();
                }
              }
            });
            magshow_firstfocusableelement.focus();
        });
    }

    if($(".magshow-search-closebtn").length){
        $(".magshow-search-closebtn").on('click', function (e) {
            e.preventDefault();
            $("#magshow-search-overlay-wrap").fadeOut();
        });
    }

    if(magshow_ajax_object.fitvids_active){
        $(".entry-content, .widget").fitVids();
    }

    if(magshow_ajax_object.backtotop_active){
        if($(".magshow-scroll-top").length){
            var magshow_scroll_button = $( '.magshow-scroll-top' );
            magshow_scroll_button.hide();

            $( window ).on( "scroll", function() {
                if ( $( window ).scrollTop() < 20 ) {
                    $( '.magshow-scroll-top' ).fadeOut();
                } else {
                    $( '.magshow-scroll-top' ).fadeIn();
                }
            } );

            magshow_scroll_button.on( "click", function() {
                $( "html, body" ).animate( { scrollTop: 0 }, 300 );
                return false;
            } );
        }
    }

    var magshow_slider_autoplay;
    var magshow_slider_loop;
    var magshow_show_dots_pagination;
    var magshow_show_next_prev_navigation;
    var magshow_autoheight_active;
    var magshow_slider_rtl;
    var magshow_slider_autoplayhoverpause;
    if(magshow_ajax_object.slider_active){
        magshow_slider_autoplay = magshow_ajax_object.slider_autoplay ? true : false;
        magshow_slider_loop = magshow_ajax_object.slider_loop ? true : false;
        magshow_show_dots_pagination = magshow_ajax_object.show_dots_pagination ? true : false;
        magshow_show_next_prev_navigation = magshow_ajax_object.show_next_prev_navigation ? true : false;
        magshow_autoheight_active = magshow_ajax_object.autoheight_active ? true : false;
        magshow_slider_rtl = magshow_ajax_object.slider_rtl ? true : false;
        magshow_slider_autoplayhoverpause = magshow_ajax_object.slider_autoplayhoverpause ? true : false;

        if ( $().owlCarousel ) {
            var magshowcarouselwrapper = $('.magshow-posts-carousel');
            var imgLoad = imagesLoaded(magshowcarouselwrapper);
            imgLoad.on( 'always', function() {
                magshowcarouselwrapper.each(function(){
                        var $this = $(this);
                        $this.find('.owl-carousel').owlCarousel({
                            autoplay: magshow_slider_autoplay,
                            loop: magshow_slider_loop,
                            margin: 15,
                            smartSpeed: 250,
                            dots: magshow_show_dots_pagination,
                            dotsSpeed: 100,
                            nav: magshow_show_next_prev_navigation,
                            navSpeed: 100,
                            mouseDrag: true,
                            touchDrag: true,
                            rtl: magshow_slider_rtl,
                            autoplayTimeout: Number(magshow_ajax_object.slider_autoplaytimeout),
                            autoplaySpeed: Number(magshow_ajax_object.slider_autoplayspeed),
                            autoplayHoverPause: magshow_slider_autoplayhoverpause,
                            autoHeight: magshow_autoheight_active,
                            navText: [ '<i class="fas fa-angle-left"></i>', '<i class="fas fa-angle-right"></i>' ],
                            responsive:{
                            0:{
                                items: 1
                            },
                            320:{
                                items: 1
                            },
                            414:{
                                items: 1
                            },
                            601:{
                                items: 1
                            },
                            791:{
                                items: 2
                            },
                            1001:{
                                items: 3
                            },
                            1113:{
                                items: 3
                            },
                            1277:{
                                items: 3
                            }
                        }
                    });
                });
            });
        }
    }

    if(magshow_ajax_object.sticky_sidebar_active){
        $('.magshow-main-wrapper, .magshow-sidebar-one-wrapper').theiaStickySidebar({
            containerSelector: ".magshow-content-wrapper",
            additionalMarginTop: 0,
            additionalMarginBottom: 0,
            minWidth: 960,
        });

        $(window).on( "resize", function() {
            $('.magshow-main-wrapper, .magshow-sidebar-one-wrapper').theiaStickySidebar({
                containerSelector: ".magshow-content-wrapper",
                additionalMarginTop: 0,
                additionalMarginBottom: 0,
                minWidth: 960,
            });
        });
    }

});