<?php
/**
* The template for displaying full-width post.
*
* @package MagShow WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*
* Template Name: Full Width, no sidebar
* Template Post Type: post
*/

get_header(); ?>

<div class="magshow-main-wrapper magshow-clearfix" id="magshow-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="magshow-main-wrapper-inside magshow-clearfix">

<?php magshow_before_main_content(); ?>

<div class="magshow-posts-wrapper" id="magshow-posts-wrapper">

<?php while (have_posts()) : the_post();

    get_template_part( 'template-parts/content-single', get_post_format() );

    magshow_post_navigation();

    magshow_post_bottom_widgets();

    // If comments are open or we have at least one comment, load up the comment template
    if ( comments_open() || get_comments_number() ) :
            comments_template();
    endif;

endwhile; ?>

<div class="clear"></div>
</div><!--/#magshow-posts-wrapper -->

<?php magshow_after_main_content(); ?>

</div>
</div>
</div><!-- /#magshow-main-wrapper -->

<?php get_footer(); ?>